# ESA - ComMoDE (Cometary Model of Dust Environments)

Project to deliver a c++ based Comet Dust Emission calculator with a practical python GUI (ESA project)

Project is divided into 3 section: 

- core-API C++ based core, collecting all functionalities of the cometary model (GNU/MSVC compiled)
- python 3 Interface back-end and front-end (base on PySide2/matplotlib) to collect User input, manage data onto FileSystem and visualize fly-by data in output.
- boost-python bindings to enable direct calls to core-API from Interface

A cmake project will guide the User through the compiling/testing and installation stages.


