import sys, os
sys.path.append('..')
from backEnd.runFunctions import ComaSimulationWorker

#Summary
#Help script to run Coma simulation from python backend.
#it will need the projectSample folder nearby to run 
try: 
    runner = ComaSimulationWorker()
    projectFolder = os.path.join(os.getcwd(), "projectSample")
    runner.setProjectFolder(os.path.join(os.getcwd(), "projectSample"))
    runner.runProcessComa(printOnScreen=True)
    check= (runner.getStatus() == 0)
except:
    check = False

if not check:
    print("core_integration_test_binded failed...")
    exit()

print("core_integration_test_binded successfull...")

